scala.tools.nsc.typechecker.Macros

# MacroImplBinding

#### case class MacroImplBinding(isBundle: Boolean, isBlackbox: Boolean, className: String, methName: String, signature: List[List[Fingerprint]], targs: List[Global.Tree]) extends Product with Serializable

Represents all the information that a macro definition needs to know about its implementation. Includes a path to load the implementation via Java reflection, and various accounting information necessary when composing an argument list for the reflective invocation.

Source
  Macros.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MacroImplBinding
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MacroImplBinding(isBundle: Boolean, isBlackbox: Boolean, className: String, methName: String, signature: List[List[Fingerprint]], targs: List[Global.Tree])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Analyzer.MacroImplBinding to any2stringadd[Analyzer.MacroImplBinding] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Analyzer.MacroImplBinding, B)

   Implicit information
     This member is added by an implicit conversion from Analyzer.MacroImplBinding to ArrowAssoc[Analyzer.MacroImplBinding] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val className: String

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (Analyzer.MacroImplBinding) ⇒ Boolean, msg: ⇒ Any): Analyzer.MacroImplBinding

   Implicit information
     This member is added by an implicit conversion from Analyzer.MacroImplBinding to Ensuring[Analyzer.MacroImplBinding] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (Analyzer.MacroImplBinding) ⇒ Boolean): Analyzer.MacroImplBinding

    Implicit information
      This member is added by an implicit conversion from Analyzer.MacroImplBinding to Ensuring[Analyzer.MacroImplBinding] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): Analyzer.MacroImplBinding

    Implicit information
      This member is added by an implicit conversion from Analyzer.MacroImplBinding to Ensuring[Analyzer.MacroImplBinding] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): Analyzer.MacroImplBinding

    Implicit information
      This member is added by an implicit conversion from Analyzer.MacroImplBinding to Ensuring[Analyzer.MacroImplBinding] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Analyzer.MacroImplBinding to StringFormat[Analyzer.MacroImplBinding] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### val isBlackbox: Boolean

18. #### val isBundle: Boolean

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def isWhitebox: Boolean

21. #### def is_???: Boolean

22. #### val methName: String

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### val signature: List[List[Fingerprint]]

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### val targs: List[Global.Tree]

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### def →[B](y: B): (Analyzer.MacroImplBinding, B)

    Implicit information
      This member is added by an implicit conversion from Analyzer.MacroImplBinding to ArrowAssoc[Analyzer.MacroImplBinding] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Analyzer.MacroImplBinding to any2stringadd[Analyzer.MacroImplBinding]

### Inherited by implicit conversion StringFormat from Analyzer.MacroImplBinding to StringFormat[Analyzer.MacroImplBinding]

### Inherited by implicit conversion Ensuring from Analyzer.MacroImplBinding to Ensuring[Analyzer.MacroImplBinding]

### Inherited by implicit conversion ArrowAssoc from Analyzer.MacroImplBinding to ArrowAssoc[Analyzer.MacroImplBinding]

### Ungrouped